## com.lowagie.text.pdf
Class PdfTextArray

    java.lang.Object
      com.lowagie.text.pdf.PdfTextArray

    public class PdfTextArray

extends java.lang.Object

`PdfTextArray` defines an array with displacements and `PdfString`-objects.

A `TextArray` is used with the operator TJ in `PdfText`. The first object in this array has to be a `PdfString`; see reference manual version 1.3 section 8.7.5, pages 346-347.

Field Summary
`(package private) java.util.ArrayList` `arrayList`

Constructor Summary
`PdfTextArray()`
`PdfTextArray(java.lang.String str)`

Method Summary
`void` `add(float number)`
`void` `add(PdfNumber number)` Adds a `PdfNumber` to the `PdfArray`.
`void` `add(java.lang.String str)`
`(package private) java.util.ArrayList` `getArrayList()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### arrayList

    java.util.ArrayList arrayList

Constructor Detail

### PdfTextArray

    public PdfTextArray(java.lang.String str)

### PdfTextArray

    public PdfTextArray()

Method Detail

### add

    public void add(PdfNumber number)

  Adds a `PdfNumber` to the `PdfArray`.

  Parameters:
    `number` - displacement of the string

### add

    public void add(float number)

### add

    public void add(java.lang.String str)

### getArrayList

    java.util.ArrayList getArrayList()